import React, { useState } from 'react';
import { getAuth, createUserWithEmailAndPassword, signInWithEmailAndPassword } from 'firebase/auth';
import { initializeApp } from 'firebase/app';

// Firebase configuration
const firebaseConfig = {
  apiKey: "AIzaSyBKk0POvwirX9vE69Ir-7jiBZcsnNnPU6k",
  authDomain: "cryptobicon-5bb2d.firebaseapp.com",
  projectId: "cryptobicon-5bb2d",
  storageBucket: "cryptobicon-5bb2d.firebasestorage.app",
  messagingSenderId: "296480444835",
  appId: "1:296480444835:web:df3e8276a80350023c0a16",
  measurementId: "G-TH9DEK0DQL"
};

// Initialize Firebase
const app = initializeApp(firebaseConfig);
const auth = getAuth(app);

const AuthForm = ({ setError }) => {
  const [registerEmail, setRegisterEmail] = useState('');
  const [registerPassword, setRegisterPassword] = useState('');
  const [loginEmail, setLoginEmail] = useState('');
  const [loginPassword, setLoginPassword] = useState('');

  // Registration function
  const handleRegister = async (e) => {
    e.preventDefault();
    try {
      await createUserWithEmailAndPassword(auth, registerEmail, registerPassword);
      alert('User registered successfully!');
      setRegisterEmail('');
      setRegisterPassword('');
    } catch (error) {
      setError(error.message); // Pass error to the parent component
    }
  };

  // Login function
  const handleLogin = async (e) => {
    e.preventDefault();
    try {
      await signInWithEmailAndPassword(auth, loginEmail, loginPassword);
      alert('User logged in successfully!');
      setLoginEmail('');
      setLoginPassword('');
    } catch (error) {
      setError(error.message); // Pass error to the parent component
    }
  };

  return (
    <div>
      <h2>Register or Login</h2>

      {/* Register Form */}
      <form onSubmit={handleRegister}>
        <h3>Register</h3>
        <input
          type="email"
          placeholder="Email"
          value={registerEmail}
          onChange={(e) => setRegisterEmail(e.target.value)}
          required
        />
        <input
          type="password"
          placeholder="Password"
          value={registerPassword}
          onChange={(e) => setRegisterPassword(e.target.value)}
          required
        />
        <button type="submit">Register</button>
      </form>

      {/* Login Form */}
      <form onSubmit={handleLogin}>
        <h3>Login</h3>
        <input
          type="email"
          placeholder="Email"
          value={loginEmail}
          onChange={(e) => setLoginEmail(e.target.value)}
          required
        />
        <input
          type="password"
          placeholder="Password"
          value={loginPassword}
          onChange={(e) => setLoginPassword(e.target.value)}
          required
        />
        <button type="submit">Login</button>
      </form>
    </div>
  );
};

export default AuthForm;