import React from 'react';
import { Link } from 'react-router-dom';
import logo from '../assets/logo.jpg'; // Import the image

const Header = ({ user, handleLogout }) => {
  return (
    <header>
      <nav>
        <img src={logo} alt="Cryptobicon Logo" style={{ height: '50px', marginRight: '1rem' }} />
        <ul style={{ display: 'flex', listStyle: 'none', padding: 0 }}>
          <li style={{ marginRight: '1rem' }}><Link to="/">Home</Link></li>
          {!user ? (
            <>
              <li style={{ marginRight: '1rem' }}><Link to="/register">Register</Link></li>
              <li style={{ marginRight: '1rem' }}><Link to="/login">Login</Link></li>
            </>
          ) : (
            <>
              <li style={{ marginRight: '1rem' }}><Link to="/profile">Profile</Link></li>
              <li><button onClick={handleLogout}>Logout</button></li>
            </>
          )}
        </ul>
      </nav>
    </header>
  );
};

export default Header;