import React, { useState, useEffect } from 'react';
import axios from 'axios';

const OrderBook = () => {
  const [orders, setOrders] = useState([]);

  useEffect(() => {
    // Fetch order book data from the backend
    axios.get('/api/market/orderbook')
      .then(response => {
        setOrders(response.data);
      })
      .catch(error => {
        console.error('Error fetching order book data:', error);
      });
  }, []);

  return (
    <div>
      <h2>Order Book</h2>
      <table>
        <thead>
          <tr>
            <th>Price</th>
            <th>Amount</th>
            <th>Total</th>
          </tr>
        </thead>
        <tbody>
          {orders.map((order, index) => (
            <tr key={index}>
              <td>{order.price}</td>
              <td>{order.amount}</td>
              <td>{order.total}</td>
            </tr>
          ))}
        </tbody>
      </table>
    </div>
  );
};

export default OrderBook;