import React, { useEffect, useRef } from 'react';
import { createChart } from 'lightweight-charts';

const TradingView = () => {
  const chartContainerRef = useRef(null);

  useEffect(() => {
    const chart = createChart(chartContainerRef.current, {
      width: chartContainerRef.current.clientWidth,
      height: 400,
    });

    const lineSeries = chart.addLineSeries();
    lineSeries.setData([
      { time: '2023-01-01', value: 100 },
      { time: '2023-01-02', value: 101 },
      { time: '2023-01-03', value: 102 },
      // Add more data points here
    ]);

    return () => {
      chart.remove();
    };
  }, []);

  return (
    <div>
      <h2>Trading View</h2>
      <div ref={chartContainerRef} style={{ width: '100%', height: '400px' }}></div>
    </div>
  );
};

export default TradingView;