import React, { useEffect, useState } from 'react';
import axios from 'axios';

const UserProfile = ({ match }) => {
  const [userData, setUserData] = useState(null);
  const [error, setError] = useState(null);

  useEffect(() => {
    const fetchUserData = async () => {
      try {
        const response = await axios.get(`http://localhost:5000/api/user/${match.params.id}`);
        setUserData(response.data);
      } catch (error) {
        console.error('Error fetching user data:', error);
        setError('Failed to fetch user data. Please try again later.');
      }
    };

    fetchUserData();
  }, [match.params.id]);

  return (
    <div>
      <h1>User Profile</h1>
      {error && <p style={{ color: 'red' }}>{error}</p>}
      {userData ? (
        <div>
          <p>Email: {userData.email}</p>
          {/* Add more user data fields as needed */}
        </div>
      ) : (
        !error && <p>Loading...</p>
      )}
    </div>
  );
};

export default UserProfile;